Public Member Functions

# HActionSetup Class Reference
[Device Model]

This class is used to specify information that is required to setup an HAction. More...

`#include <HActionSetup>`

List of all members.

## Public Member Functions
| HActionSetup ()
| HActionSetup (const QString &name, HInclusionRequirement incReq=InclusionMandatory)
| HActionSetup (const QString &name, qint32 version, HInclusionRequirement incReq=InclusionMandatory)
| HActionSetup (const QString &name, const HActionInvoke &invoke, HInclusionRequirement incReq=InclusionMandatory)
| HActionSetup (const QString &name, const HActionInvoke &invoke, qint32 version, HInclusionRequirement incReq=InclusionMandatory)
| HActionSetup (const HActionSetup &)
HActionSetup & | operator= (const HActionSetup &)
| ~HActionSetup ()
const HActionArguments & | inputArguments () const
const HActionArguments & | outputArguments () const
HActionInvoke | actionInvoke () const
HInclusionRequirement | inclusionRequirement () const
bool | isValid () const
QString | name () const
qint32 | version () const
void | setInputArguments (const HActionArguments &args)
void | setOutputArguments (const HActionArguments &args)
void | setActionInvoke (const HActionInvoke &arg)
bool | setName (const QString &name, QString *err=0)
void | setInclusionRequirement (HInclusionRequirement arg)
void | setVersion (qint32 version)

## Detailed Description

See also:
  HActionsSetupData, HAction

Remarks:
  this class is not thread-safe.

## Constructor & Destructor Documentation

HActionSetup | ( |  | ) |

Creates a new, invalid instance.

See also:
  isValid()

HActionSetup | ( | const QString & | name,
|  | HInclusionRequirement | incReq = `InclusionMandatory` |
| ) |  |  | `[explicit]`

Creates a new instance.

Parameters:

  | name | specifies the name of the action.
  | incReq | specifies the inclusion requirement of the action.

See also:
  isValid()

Remarks:
  the version() is set to 1.

HActionSetup | ( | const QString & | name,
|  | qint32 | version,
|  | HInclusionRequirement | incReq = `InclusionMandatory` |
| ) |  |  |

Creates a new instance.

Parameters:

  | name | specifies the name of the action.
  | version | specifies the UPnP service version in which the action was first specified.
  | incReq | specifies the inclusion requirement of the action.

See also:
  isValid()

HActionSetup | ( | const QString & | name,
|  | const HActionInvoke & | invoke,
|  | HInclusionRequirement | incReq = `InclusionMandatory` |
| ) |  |  |

Creates a new instance.

Parameters:

  | name | specifies the name of the action.
  | invoke | specifies the callable entity that is called when the action is invoked. This is used only at server side.
  | incReq | specifies the inclusion requirement of the action.

See also:
  isValid()

Remarks:
  the version() is set to 1.

HActionSetup | ( | const QString & | name,
|  | const HActionInvoke & | invoke,
|  | qint32 | version,
|  | HInclusionRequirement | incReq = `InclusionMandatory` |
| ) |  |  |

Creates a new instance.

Parameters:

  | name | specifies the name of the action.
  | invoke | specifies the callable entity that is called when the action is invoked. This is used only at server side.
  | version | specifies the UPnP service version in which the action was first specified.
  | incReq | specifies the inclusion requirement of the action.

See also:
  isValid()

HActionSetup | ( | const HActionSetup & | other | ) |

Copy constructor.

Creates a copy of other.

~HActionSetup | ( |  | ) |

Destroys the instance.

## Member Function Documentation

HActionSetup & operator= | ( | const HActionSetup & | other | ) |

Assignment operator.

Copies the contents of other to this.

const HActionArguments & inputArguments | ( |  | ) | const

Returns the setup information of the action's input arguments.

Returns:
  the setup information of the action's input arguments.

See also:
  setInputArguments()

const HActionArguments & outputArguments | ( |  | ) | const

Returns the setup information of the action's output arguments.

Returns:
  the setup information of the action's output arguments.

See also:
  setOutputArguments()

HActionInvoke actionInvoke | ( |  | ) | const

Returns the callable entity that is called when the action is invoked.

Remarks:
  This is used only at server side.

See also:
  setActionInvoke()

HInclusionRequirement inclusionRequirement | ( |  | ) | const

Returns the inclusion requirement of the action.

Returns:
  the inclusion requirement of the action.

See also:
  setInclusionRequirement()

bool isValid | ( |  | ) | const

Indicates if the object is valid.

Returns:
  true in case the object is valid, that is, the name(), version() and the inclusionRequirement() are properly defined.

QString name | ( |  | ) | const

Returns the name of the action.

Returns:
  the name of the action.

See also:
  setName()

qint32 version | ( |  | ) | const

Returns the UPnP service version in which the action was first specified.

Returns:
  the UPnP service version in which the action was first specified.

See also:
  setVersion()

void setInputArguments | ( | const HActionArguments & | args | ) |

Specifies the action's input arguments.

Parameters:

  | args | specifies the setup information for the action's input arguments.

See also:
  inputArguments()

void setOutputArguments | ( | const HActionArguments & | args | ) |

Specifies the action's output arguments.

Parameters:

  | args | specifies the setup information for the action's output arguments.

See also:
  outputArguments()

void setActionInvoke | ( | const HActionInvoke & | arg | ) |

Specifies the callable entity that is called when the action is invoked.

Parameters:

  | arg | specifies the callable entity that is called when the action is invoked.

Remarks:
  This is used only at server side.

See also:
  actionInvoke()

bool setName | ( | const QString & | name,
|  | QString * | err = `0` |
| ) |  |  |

Sets the name of the action.

Parameters:

  | name | specifies the name of the action.
  | err | is a pointer to a `QString` that contains an error description in case the name could not be set. This is an optional parameter.

Returns:
  true in case the specified name was successfully set.

See also:
  name()

void setInclusionRequirement | ( | HInclusionRequirement | arg | ) |

Sets the inclusion requirement of the action.

Parameters:

  | arg | specifies the inclusion requirement of the action.

See also:
  inclusionRequirement()

void setVersion | ( | qint32 | version | ) |

Specifies the UPnP service version in which the action was first specified.

Parameters:

  | version | specifies the UPnP service version in which the action was first specified.

See also:
  version()